VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV:
[legend]

## Public Member Functions

| DedicatedAllocationMemoryAllocateInfoNV (Image image_=Image(), Buffer buffer_=Buffer())
| DedicatedAllocationMemoryAllocateInfoNV (VkDedicatedAllocationMemoryAllocateInfoNV const &rhs)
DedicatedAllocationMemoryAllocateInfoNV & | operator= (VkDedicatedAllocationMemoryAllocateInfoNV const &rhs)
DedicatedAllocationMemoryAllocateInfoNV & | setPNext (const void *pNext_)
DedicatedAllocationMemoryAllocateInfoNV & | setImage (Image image_)
DedicatedAllocationMemoryAllocateInfoNV & | setBuffer (Buffer buffer_)
| operator VkDedicatedAllocationMemoryAllocateInfoNV const & () const
| operator VkDedicatedAllocationMemoryAllocateInfoNV & ()
bool | operator== (DedicatedAllocationMemoryAllocateInfoNV const &rhs) const
bool | operator!= (DedicatedAllocationMemoryAllocateInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
Image | image
Buffer | buffer

## Private Attributes

StructureType | sType = StructureType::eDedicatedAllocationMemoryAllocateInfoNV

## Detailed Description

Definition at line 12624 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DedicatedAllocationMemoryAllocateInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::DedicatedAllocationMemoryAllocateInfoNV | ( | Image | image_ = `Image()`,
|  | Buffer | buffer_ = `Buffer()`
| ) |  |

inline

Definition at line 12626 of file vulkan.hpp.

: image( image_ )
, buffer( buffer_ )
{
}

## DedicatedAllocationMemoryAllocateInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::DedicatedAllocationMemoryAllocateInfoNV | ( | VkDedicatedAllocationMemoryAllocateInfoNV const & | rhs | ) |

inline

Definition at line 12633 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DedicatedAllocationMemoryAllocateInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkDedicatedAllocationMemoryAllocateInfoNV &()

VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::operator VkDedicatedAllocationMemoryAllocateInfoNV & | ( |  | ) |

inline

Definition at line 12666 of file vulkan.hpp.

{
return *reinterpret_cast<VkDedicatedAllocationMemoryAllocateInfoNV*>(this);
}

## operator VkDedicatedAllocationMemoryAllocateInfoNV const &()

VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::operator VkDedicatedAllocationMemoryAllocateInfoNV const & | ( |  | ) | const

inline

Definition at line 12661 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDedicatedAllocationMemoryAllocateInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::operator!= | ( | DedicatedAllocationMemoryAllocateInfoNV const & | rhs | ) | const

inline

Definition at line 12679 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DedicatedAllocationMemoryAllocateInfoNV& VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::operator= | ( | VkDedicatedAllocationMemoryAllocateInfoNV const & | rhs | ) |

inline

Definition at line 12638 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DedicatedAllocationMemoryAllocateInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::operator== | ( | DedicatedAllocationMemoryAllocateInfoNV const & | rhs | ) | const

inline

Definition at line 12671 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( image == rhs.image )
&& ( buffer == rhs.buffer );
}

References buffer, image, pNext, and sType.

Referenced by operator!=().

## setBuffer()

DedicatedAllocationMemoryAllocateInfoNV& VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::setBuffer | ( | Buffer | buffer_ | ) |

inline

Definition at line 12655 of file vulkan.hpp.

{
buffer = buffer_;
return *this;
}

## setImage()

DedicatedAllocationMemoryAllocateInfoNV& VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::setImage | ( | Image | image_ | ) |

inline

Definition at line 12649 of file vulkan.hpp.

{
image = image_;
return *this;
}

## setPNext()

DedicatedAllocationMemoryAllocateInfoNV& VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 12643 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## buffer

Buffer VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::buffer

Definition at line 12690 of file vulkan.hpp.

Referenced by operator==().

## image

Image VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::image

Definition at line 12689 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::pNext = nullptr

Definition at line 12688 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::sType = StructureType::eDedicatedAllocationMemoryAllocateInfoNV

private

Definition at line 12685 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

image
GLeglImageOES image
Definition: SDL_opengl.h:2148
VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:12688
VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::sType
StructureType sType
Definition: vulkan.hpp:12685
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::buffer
Buffer buffer
Definition: vulkan.hpp:12690
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VkDedicatedAllocationMemoryAllocateInfoNV
Definition: vulkan_core.h:6378
VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::operator==
bool operator==(DedicatedAllocationMemoryAllocateInfoNV const &rhs) const
Definition: vulkan.hpp:12671
VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::image
Image image
Definition: vulkan.hpp:12689
VULKAN_HPP_NAMESPACE::DedicatedAllocationMemoryAllocateInfoNV::DedicatedAllocationMemoryAllocateInfoNV
DedicatedAllocationMemoryAllocateInfoNV(Image image_=Image(), Buffer buffer_=Buffer())
Definition: vulkan.hpp:12626